# Arni

This code supports using an ESP32 and the Dabble ios app to control 2 hoverboard motors
driven by an Odrive.

## Install

```
upy put  bluetooth/esp32/arni/ble_advertising.py ble_advertising.py
upy put bluetooth/esp32/arni/robot.py robot.py
upy put bluetooth/esp32/arni/ble_arni_odrive_controller.py main.py
```

Confirm with `upy ls`

## Usage

With the ESP32 and Odrive powered on open the Dabble and connect. This
does not support Joystick yet. This is a work in progress.

### Buttons

|Key       |Action                                                   |
|----------|---------------------------------------------------------|
|Select    |Toggles Odrive idle / loop control states                |
|Start     |Performs an Odrive AXIS_STATE_ENCODER_OFFSET_CALIBRATION |
|          |                                                         |
|          |                                                         |